Adding SDNVPN support
[apex.git] / ci / deploy.sh
index c89dd58..1b8f36f 100755 (executable)
@@ -304,8 +304,8 @@ parse_inventory_file() {
   fi
 
   eval $(parse_yaml $INVENTORY_FILE) || {
-      echo "${red}Failed to parse inventory.yaml. Aborting.${reset}" &&
-      exit 1
+    echo "${red}Failed to parse inventory.yaml. Aborting.${reset}" &&
+    exit 1
   }
 
   instack_env_output="
@@ -801,6 +801,8 @@ function undercloud_prep_overcloud_deploy {
       DEPLOY_OPTIONS+=" -e /usr/share/openstack-tripleo-heat-templates/environments/opendaylight_l3.yaml"
     elif [ "${deploy_options_array['sfc']}" == 'true' ]; then
       DEPLOY_OPTIONS+=" -e /usr/share/openstack-tripleo-heat-templates/environments/opendaylight_sfc.yaml"
+    elif [ "${deploy_options_array['vpn']}" == 'true' ]; then
+      DEPLOY_OPTIONS+=" -e /usr/share/openstack-tripleo-heat-templates/environments/opendaylight_sdnvpn.yaml"
     else
       DEPLOY_OPTIONS+=" -e /usr/share/openstack-tripleo-heat-templates/environments/opendaylight.yaml"
     fi
@@ -884,6 +886,7 @@ function undercloud_prep_overcloud_deploy {
 if [ "$debug" == 'TRUE' ]; then
     LIBGUESTFS_BACKEND=direct virt-customize -a overcloud-full.qcow2 --root-password password:opnfvapex
 fi
+
 source stackrc
 set -o errexit
 echo "Uploading overcloud glance images"